Bug 1013941 - Full HA configuration does not log into the console
Full HA configuration does not log into the console
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Julian Coleman
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 01:44 EDT by Jiri Pechanec
Modified: 2018-03-29 17:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you start the server with the -c standalone-full-ha.xml options, the start-up process hangs. This is because the CONSOLE logging handler has been omitted from the standalone-full-ha.xml configuration. To work around this, avoid using this start-up configuration.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-10-01 01:44:17 EDT
When starting the server with -c standalone-full-ha.xml the startup process hangs.

The server just prints to the console

jpechane@jpechane:~/releases$ er4/full/jboss-eap-6.1/bin/standalone.sh -c standalone-full-ha.xml
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /home/jpechane/releases/er4/full/jboss-eap-6.1

  JAVA: java

  JAVA_OPTS:  -server -XX:+UseCompressedOops -Xms1303m -Xmx1303m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true

=========================================================================

07:19:51,056 INFO  [org.jboss.modules] (main) JBoss Modules version 1.2.0.Final-redhat-1
07:19:51,238 INFO  [org.jboss.msc] (main) JBoss MSC version 1.0.4.GA-redhat-1
07:19:51,307 INFO  [org.jboss.as] (MSC service thread 1-8) JBAS015899: JBoss Red Hat JBoss Fuse Service Works 6.0.0.ER4-redhat-1 (AS 7.2.0.Final-redhat-8) starting
07:19:52,357 INFO  [org.switchyard] (ServerService Thread Pool -- 28) SwitchYard version 1.1.0.M3-redhat-2
07:19:52,562 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found switchyard-bpel-console-server.war in deployment directory. To trigger deployment create a file called switchyard-bpel-console-server.war.dodeploy
07:19:52,563 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found overlord-rtgov-epn.war in deployment directory. To trigger deployment create a file called overlord-rtgov-epn.war.dodeploy
07:19:52,563 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found overlord-rtgov.war in deployment directory. To trigger deployment create a file called overlord-rtgov.war.dodeploy
07:19:52,564 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found gadgets.war in deployment directory. To trigger deployment create a file called gadgets.war.dodeploy
07:19:52,565 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found switchyard-bpel-console.war in deployment directory. To trigger deployment create a file called switchyard-bpel-console.war.dodeploy
07:19:52,565 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found overlord-rtgov-acs.war in deployment directory. To trigger deployment create a file called overlord-rtgov-acs.war.dodeploy
07:19:52,566 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found gadget-web.war in deployment directory. To trigger deployment create a file called gadget-web.war.dodeploy
07:19:52,566 INFO  [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015003: Found overlord-commons-idp.war in deployment directory. To trigger deployment create a file called overlord-commons-idp.war.dodeploy
07:19:52,602 INFO  [org.xnio] (MSC service thread 1-6) XNIO Version 3.0.7.GA-redhat-1
07:19:52,606 INFO  [org.jboss.as.server] (Controller Boot Thread) JBAS015888: Creating http management service using socket-binding (management-http)
07:19:52,609 INFO  [org.xnio.nio] (MSC service thread 1-6) XNIO NIO Implementation Version 3.0.7.GA-redhat-1
07:19:52,627 INFO  [org.jboss.remoting] (MSC service thread 1-6) JBoss Remoting version 3.2.16.GA-redhat-1


It is not clear if the issue is with the server or just with the logging configuration - full and ha configurations work without problems
Comment 1 Jiri Pechanec 2013-10-01 01:47:31 EDT
So it seems that the issue relates to logging - according to server.log file the server is started.
But I have observed another behaviour - sometimes there is nothing printed to the console at all.
Comment 2 Anne-Louise Tangring 2013-10-02 10:34:01 EDT
No HA for Beta. Not a Beta Blocker. However, we need to investigate this.
Comment 3 Jiri Pechanec 2013-10-04 04:40:28 EDT
The culprit is completely omitted CONSOLE logging handler in standalone-full-ha.xml config. Is it intentional?
Comment 7 kconner 2014-01-08 16:06:26 EST
CONSOLE is still missing from the ER8 configuration.
Comment 8 Julian Coleman 2014-01-08 16:23:32 EST
The configuration settings reflects the choices made for EAP.  For example, looking at the EAP configuration, console logging is not configured in the standalone-full-ha case.
Comment 9 Mike Finn 2014-10-29 00:13:15 EDT
For those looking for a workaround/fix, adding this into standalone-full-ha.xml under profile/logging subsystem seems to resolve (server starts up, log output to console):

<console-handler name="CONSOLE">
  <level name="INFO"/>
  <formatter>
    <pattern-formatter pattern="%K{level}%d{HH:mm:ss,SSS} %-5p [%c] (%t) %s%E%n"/>
  </formatter>
</console-handler>
Comment 10 Mike Finn 2014-10-29 00:22:10 EDT
Nevermind the above. Adding in the console logger does NOT fix it. 

Now that I am past my idiocy, does anyone have tips to get past this? Is the only answer to not use standalone-full-ha? We need it.

Mike



(In reply to Mike Finn from comment #9)
> For those looking for a workaround/fix, adding this into
> standalone-full-ha.xml under profile/logging subsystem seems to resolve
> (server starts up, log output to console):
> 
> <console-handler name="CONSOLE">
>   <level name="INFO"/>
>   <formatter>
>     <pattern-formatter pattern="%K{level}%d{HH:mm:ss,SSS} %-5p [%c] (%t)
> %s%E%n"/>
>   </formatter>
> </console-handler>
Comment 11 Jiri Pechanec 2014-10-30 06:10:14 EDT
(In reply to Mike Finn from comment #10)
> Nevermind the above. Adding in the console logger does NOT fix it. 
> 
> Now that I am past my idiocy, does anyone have tips to get past this? Is the
> only answer to not use standalone-full-ha? We need it.
> 
> Mike
> 
> 
> 
> (In reply to Mike Finn from comment #9)
> > For those looking for a workaround/fix, adding this into
> > standalone-full-ha.xml under profile/logging subsystem seems to resolve
> > (server starts up, log output to console):
> > 
> > <console-handler name="CONSOLE">
> >   <level name="INFO"/>
> >   <formatter>
> >     <pattern-formatter pattern="%K{level}%d{HH:mm:ss,SSS} %-5p [%c] (%t)
> > %s%E%n"/>
> >   </formatter>
> > </console-handler>

Just to make sure, have you also included
            <root-logger>
                <level name="INFO"/>
                <handlers>
                    <handler name="CONSOLE"/>
                    <handler name="FILE"/>
                </handlers>
            </root-logger>
?

Note You need to log in before you can comment on or make changes to this bug.